<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="3630e3d8-23ca-4289-903c-351ab966f3c5" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/assets/client/static/js/demo.json" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/index.html" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/css/bootstrap.min.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/css/highlight.min.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/css/ngrock.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/img/glyphicons-halflings.png" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/compiled/inspect.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/compiled/shared.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/vendor/base64.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/vendor/highlight-8.1.min.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/vendor/jquery-2.1.1.min.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/vendor/moment-2.7.0.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/vendor/react-15.1.0.min.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/vendor/underscore-1.6.0.min.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/assets/react/static/js/vendor/vkbeautify.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/assets/client/index.html" beforeDir="false" afterPath="$PROJECT_DIR$/assets/client/index.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/assets/client/static/js/ngrok.js" beforeDir="false" afterPath="$PROJECT_DIR$/assets/client/static/js/ngrok.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/main.go" beforeDir="false" afterPath="$PROJECT_DIR$/main.go" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="802482095">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="8" />
          <entry key="project.open.time.28" value="2" />
          <entry key="project.open.time.29" value="1" />
          <entry key="project.open.time.30" value="1" />
          <entry key="project.open.time.42" value="1" />
          <entry key="project.open.time.50" value="1" />
          <entry key="project.open.time.7" value="1" />
          <entry key="project.open.time.8" value="2" />
          <entry key="project.opened" value="9" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="Procfile" value="4" />
          <entry key="Readme" value="1" />
          <entry key="env" value="1" />
          <entry key="go" value="7" />
          <entry key="html" value="4" />
          <entry key="ico" value="2" />
          <entry key="js" value="7" />
          <entry key="json" value="5" />
          <entry key="lock" value="1" />
          <entry key="ngrok" value="1" />
          <entry key="png" value="1" />
          <entry key="toml" value="1" />
          <entry key="ts" value="1" />
          <entry key="yml" value="3" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="Go" value="7" />
          <entry key="HTML" value="4" />
          <entry key="Image" value="3" />
          <entry key="JSON" value="5" />
          <entry key="JavaScript" value="7" />
          <entry key="PLAIN_TEXT" value="8" />
          <entry key="TypeScript" value="1" />
          <entry key="UNKNOWN" value="1" />
          <entry key="YAML" value="3" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="Procfile" value="14" />
          <entry key="env" value="10" />
          <entry key="go" value="236" />
          <entry key="html" value="8" />
          <entry key="js" value="234" />
          <entry key="toml" value="2" />
          <entry key="txt" value="15" />
          <entry key="yml" value="33" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="Go" value="236" />
          <entry key="HTML" value="8" />
          <entry key="JavaScript" value="234" />
          <entry key="PLAIN_TEXT" value="41" />
          <entry key="YAML" value="33" />
        </counts>
      </usages-collector>
    </session>
    <session id="385273682">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.14" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="go" value="126" />
          <entry key="html" value="101" />
          <entry key="js" value="77" />
          <entry key="json" value="6" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="Go" value="123" />
          <entry key="HTML" value="101" />
          <entry key="JSON" value="9" />
          <entry key="JavaScript" value="77" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="css" value="1" />
          <entry key="go" value="1" />
          <entry key="html" value="2" />
          <entry key="js" value="13" />
          <entry key="json" value="2" />
          <entry key="rnc" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CSS" value="1" />
          <entry key="Go" value="1" />
          <entry key="HTML" value="2" />
          <entry key="JSON" value="2" />
          <entry key="JavaScript" value="13" />
          <entry key="RNG Compact" value="1" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/assets/client/index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="71">
              <caret line="74" column="85" selection-start-line="74" selection-start-column="77" selection-end-line="74" selection-end-column="85" />
              <folding>
                <element signature="n#style#0;n#div#0;n#div#0;n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
                <element signature="n#style#0;n#hr#1;n#div#1;n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/assets/client/static/js/ngrok.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="101">
              <caret line="418" column="44" lean-forward="true" selection-start-line="418" selection-start-column="44" selection-end-line="418" selection-end-column="44" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/main.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-274">
              <caret line="40" column="5" selection-start-line="40" selection-start-column="5" selection-end-line="40" selection-end-column="5" />
              <folding>
                <element signature="e#14#100#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Go Application" />
        <option value="Go File" />
        <option value="HTML File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>data</find>
      <find>Request</find>
      <find>txnSvc</find>
      <find>Req</find>
      <find>&quot;Request&quot;</find>
      <find>Resp</find>
      <find>Txn.req</find>
      <find>iso</find>
      <find>ISO860ngrok1</find>
      <find>&quot;Response&quot;</find>
      <find>Body</find>
      <find>processre</find>
      <find>Summary</find>
      <find>processResp</find>
      <find>IP</find>
      <find>headers</find>
      <find>body</find>
      <find>Headers</find>
      <find>Accept</find>
      <find>selectedRow</find>
      <find>\&quot;</find>
      <find>selec</find>
      <find>header</find>
      <find>makeActive</find>
      <find>select</find>
      <find>selected</find>
      <find>selected</find>
      <find>sele</find>
      <find>Id</find>
      <find>isActive</find>
    </findStrings>
    <replaceStrings>
      <replace>Logger</replace>
      <replace>&quot;Req&quot;</replace>
      <replace>Request</replace>
      <replace>&quot;</replace>
      <replace>&quot;Resp&quot;</replace>
    </replaceStrings>
  </component>
  <component name="GOROOT" path="/usr/local/go" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="PUSH_TAGS">
      <GitPushTagMode />
    </option>
  </component>
  <component name="GoDepProject">
    <integration-enabled>true</integration-enabled>
    <exec-path>/usr/bin/dep</exec-path>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/http.go" />
        <option value="$PROJECT_DIR$/broadcast.go" />
        <option value="$PROJECT_DIR$/assets/client/page.html" />
        <option value="$PROJECT_DIR$/Server.go" />
        <option value="$PROJECT_DIR$/.env" />
        <option value="$PROJECT_DIR$/Gopkg.toml" />
        <option value="$PROJECT_DIR$/heroku.yml" />
        <option value="$PROJECT_DIR$/Procfile" />
        <option value="$PROJECT_DIR$/assets/react/index.html" />
        <option value="$PROJECT_DIR$/assets/react/static/js/vendor/base64.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/vendor/highlight-8.1.min.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/vendor/jquery-2.1.1.min.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/vendor/moment-2.7.0.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/vendor/react-15.1.0.min.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/vendor/underscore-1.6.0.min.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/vendor/vkbeautify.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/compiled/shared.js" />
        <option value="$PROJECT_DIR$/assets/react/static/js/compiled/inspect.js" />
        <option value="$PROJECT_DIR$/assets/react/static/css/ngrock.css" />
        <option value="$PROJECT_DIR$/assets/client/static/js/demo.json" />
        <option value="$PROJECT_DIR$/assets/client/static/js/ngrok.js" />
        <option value="$PROJECT_DIR$/assets/client/index.html" />
        <option value="$PROJECT_DIR$/main.go" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="47" />
    <option name="y" value="25" />
    <option name="width" value="1319" />
    <option name="height" value="743" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
              <item name="client" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
              <item name="client" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
              <item name="client" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
              <item name="js" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
              <item name="react" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
              <item name="react" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
              <item name="react" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
              <item name="js" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
              <item name="react" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
              <item name="js" type="462c0819:PsiDirectoryNode" />
              <item name="compiled" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="vendor" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="nglogger" type="462c0819:PsiDirectoryNode" />
              <item name="vendor" type="462c0819:PsiDirectoryNode" />
              <item name="github.com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nglogger" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultGoTemplateProperty" value="Go File" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="GO_FMT" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="configurable.Global.GOPATH.is.expanded" value="true" />
    <property name="configurable.Module.GOPATH.is.expanded" value="false" />
    <property name="configurable.Project.GOPATH.is.expanded" value="true" />
    <property name="go.gopath.indexing.explicitly.defined" value="true" />
    <property name="go.vendoring.notification.had.been.shown" value="true" />
    <property name="last_opened_file_path" value="$USER_HOME$" />
    <property name="settings.editor.selected.configurable" value="go.dep" />
  </component>
  <component name="RecentsManager">
    <key name="OPEN_URL_DIALOG">
      <recent name="https://github.com/inconshreveable/ngrok" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/assets/react" />
      <recent name="$PROJECT_DIR$/assets/client" />
      <recent name="$PROJECT_DIR$/assets/client/static" />
      <recent name="$PROJECT_DIR$" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="go build main.go" type="GoApplicationRunConfiguration" factoryName="Go Application" temporary="true" nameIsGenerated="true">
      <module name="Logger" />
      <working_directory value="$PROJECT_DIR$/" />
      <kind value="FILE" />
      <filePath value="$PROJECT_DIR$/main.go" />
      <package value="Logger" />
      <directory value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Go Build.go build main.go" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3630e3d8-23ca-4289-903c-351ab966f3c5" name="Default Changelist" comment="" />
      <created>1541584581553</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1541584581553</updated>
      <workItem from="1541584604873" duration="492000" />
      <workItem from="1541600130520" duration="319000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="811000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="45" y="-4" width="1321" height="772" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2792157" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" sideWeight="0.49960724" visible="true" weight="0.32608697" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39906833" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="9" sideWeight="0.49882168" weight="0.32919255" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.5011783" side_tool="true" weight="0.32626426" />
      <window_info anchor="bottom" id="Docker" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.32952693" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.2792157" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49960724" visible="true" weight="0.32608697" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39906833" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="9" sideWeight="0.49882168" weight="0.32919255" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.5011783" side_tool="true" weight="0.32626426" />
      <window_info anchor="bottom" id="Docker" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.32952693" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="initial commit" />
    <MESSAGE value="initial commita" />
    <option name="LAST_COMMIT_MESSAGE" value="initial commita" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/jsLanguageServicesImpl/external/lib.dom.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="9391" column="4" selection-start-line="9391" selection-start-column="4" selection-end-line="9391" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/client/static/js/angular.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" column="41" selection-start-line="11" selection-start-column="40" selection-end-line="11" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/client/static/js/angular-sanitize.min.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/client/static/js/vkbeautify.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1575" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http.go" />
    <entry file="https://github.com/inconshreveable/ngrok">
      <provider selected="true" editor-type-id="httpFileEditor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.env" />
    <entry file="file://$PROJECT_DIR$/app.json" />
    <entry file="file://$PROJECT_DIR$/broadcast.go" />
    <entry file="file://$PROJECT_DIR$/Gopkg.lock" />
    <entry file="file://$PROJECT_DIR$/Gopkg.toml" />
    <entry file="file://$PROJECT_DIR$/vendor/vendor.json" />
    <entry file="file://$PROJECT_DIR$/heroku.yml" />
    <entry file="file://$PROJECT_DIR$/assets/client/static/favicon.ico" />
    <entry file="file://$PROJECT_DIR$/assets/client/favicon.ico">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/client/static/img/glyphicons-halflings.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Godeps/Readme">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Procfile">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="11" selection-start-column="11" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Godeps/Godeps.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" column="9" selection-start-line="12" selection-start-column="9" selection-end-line="12" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/ngrok.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/http:/127.0.0.1:4040/static/js/vendor/vkbeautify.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/vkbeautify.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="354" column="14" lean-forward="true" selection-start-line="354" selection-start-column="14" selection-end-line="354" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/underscore-1.6.0.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="39" selection-start-line="5" selection-start-column="39" selection-end-line="5" selection-end-column="39" />
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/react-15.1.0.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="18691" selection-start-line="15" selection-start-column="18691" selection-end-line="15" selection-end-column="18691" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/moment-2.7.0.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="349">
          <caret line="2610" lean-forward="true" selection-start-line="2610" selection-end-line="2610" />
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/jquery-2.1.1.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" selection-start-line="4" selection-end-line="4" />
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/highlight-8.1.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="11437" selection-start-column="11437" selection-end-column="11437" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/compiled/shared.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2055">
          <caret line="137" lean-forward="true" selection-start-line="137" selection-end-line="137" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/css/ngrock.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="349">
          <caret line="34" selection-start-line="34" selection-end-line="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="40" column="2" lean-forward="true" selection-start-line="39" selection-start-column="4" selection-end-line="40" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/vendor/base64.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="246">
          <caret line="223" lean-forward="true" selection-end-line="223" />
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/lib/goland.jar!/resources/html5-schema/html5/common.rnc">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="127" column="18" selection-start-line="127" selection-start-column="18" selection-end-line="127" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/client/static/js/demo.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="59" column="20" lean-forward="true" selection-end-line="89" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/react/static/js/compiled/inspect.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="116">
          <caret line="449" column="65" selection-start-line="449" selection-start-column="59" selection-end-line="449" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/client/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="71">
          <caret line="74" column="85" selection-start-line="74" selection-start-column="77" selection-end-line="74" selection-end-column="85" />
          <folding>
            <element signature="n#style#0;n#div#0;n#div#0;n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#hr#1;n#div#1;n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-274">
          <caret line="40" column="5" selection-start-line="40" selection-start-column="5" selection-end-line="40" selection-end-column="5" />
          <folding>
            <element signature="e#14#100#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/client/static/js/ngrok.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="101">
          <caret line="418" column="44" lean-forward="true" selection-start-line="418" selection-start-column="44" selection-end-line="418" selection-end-column="44" />
        </state>
      </provider>
    </entry>
  </component>
</project>